Skip to content

Arp Detection ​

8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridArpDetectsGETGet arp detect list
createArpDetectsPOSTCreate new arp detects
deleteArpDetectDELETEDelete an existing arp detect
modifyArpDetectPATCHModify a arp detect
importArpDetectImpbsFromFilePOSTImport the static impbs from file.
getOswPortLagIdVlansPOSTGet the port or standard port or lag to vlans map of one osw.
getArpDetectStatusGETGet arp detect status
modifyArpDetectStatusPATCHModify arp detect status

getGridArpDetects ​

GET /openapi/v1/{omadacId}/sites/{siteId}/arpDetects

Get arp detect list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridArpDetects",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get arp detect list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createArpDetects ​

POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects

Create new arp detects

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ArpDetectVO

FieldTypeRequiredDescription
idstringnoThe primary id of the arp detection.
omadacIdstringnoThe id of the omada the arp detect belongs to.
siteIdstringnoThe id of the site the arp detect belongs to.
namestringnoThe name of the arp detect.
macstringnoThe mac of the general device.
deviceNamestringnoThe name of the device.
deviceTypestringnoDevice type:ap、gateway、switch、olt
deviceModelstringnoModel of device,for example:EAP225
deviceModelVersionstringnoModel version of device,for example:3.0
showModelstringnoThe client showModel
stackIdstringnoThe stack of the stack device.
stackNamestringnoThe name of the stacking devices.
oswStackOswStackInfoVOno(OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO")
portsarray<PortVO>noThe ports selected.
impbsarray<ImpbVO>noThe impbs selected.
statusintegernoThe connected status of the device.
unSelectedablePortsarray<PortVO>noThe unSelectedable ports of the device.
allPortsarray<OswPortVO>noAll Port list in one device.
allLagsarray<OswLagVO>noAll lag list in one device.
devicesarray<DeviceVO>noThe devices selected to create entries.
dhcpSnoopPortsarray<PortVO>noThe ports dhcp snooping selected.
json
// omada_call_operation
{
  "operationId": "createArpDetects",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new arp detects
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

deleteArpDetect ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/{arpDetectId}

Delete an existing arp detect

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
arpDetectIdpathstringyesarpDetectId
json
// omada_call_operation
{
  "operationId": "deleteArpDetect",
  "params": {
    "siteId": "<siteId>",
    "arpDetectId": "<arpDetectId>"
  }
}
Details, permissions and error codes

Delete an existing arp detect
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39821 - The ARP detection entry does not exist.

modifyArpDetect ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/{arpDetectId}

Modify a arp detect

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
arpDetectIdpathstringyesarpDetectId

Request body — application/json (required) — schema ArpDetectVO

FieldTypeRequiredDescription
idstringnoThe primary id of the arp detection.
omadacIdstringnoThe id of the omada the arp detect belongs to.
siteIdstringnoThe id of the site the arp detect belongs to.
namestringnoThe name of the arp detect.
macstringnoThe mac of the general device.
deviceNamestringnoThe name of the device.
deviceTypestringnoDevice type:ap、gateway、switch、olt
deviceModelstringnoModel of device,for example:EAP225
deviceModelVersionstringnoModel version of device,for example:3.0
showModelstringnoThe client showModel
stackIdstringnoThe stack of the stack device.
stackNamestringnoThe name of the stacking devices.
oswStackOswStackInfoVOno(OswStackInfoVO not expanded; call omada_get_schema "OswStackInfoVO")
portsarray<PortVO>noThe ports selected.
impbsarray<ImpbVO>noThe impbs selected.
statusintegernoThe connected status of the device.
unSelectedablePortsarray<PortVO>noThe unSelectedable ports of the device.
allPortsarray<OswPortVO>noAll Port list in one device.
allLagsarray<OswLagVO>noAll lag list in one device.
devicesarray<DeviceVO>noThe devices selected to create entries.
dhcpSnoopPortsarray<PortVO>noThe ports dhcp snooping selected.
json
// omada_call_operation
{
  "operationId": "modifyArpDetect",
  "params": {
    "siteId": "<siteId>",
    "arpDetectId": "<arpDetectId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a arp detect
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39821 - The ARP detection entry does not exist.

importArpDetectImpbsFromFile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/impbs/import

Import the static impbs from file.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yes
json
// omada_call_operation
{
  "operationId": "importArpDetectImpbsFromFile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Import the static impbs from file.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getOswPortLagIdVlans ​

POST /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/portLagVlans

Get the port or standard port or lag to vlans map of one osw.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ArpDetectOswVO

FieldTypeRequiredDescription
macstringnoThe mac of the general device.
stackIdstringnoThe stack of the stack device.
json
// omada_call_operation
{
  "operationId": "getOswPortLagIdVlans",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the port or standard port or lag to vlans map of one osw.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getArpDetectStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/status

Get arp detect status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getArpDetectStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get arp detect status
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

modifyArpDetectStatus ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/arpDetects/status

Modify arp detect status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ArpDetectStatusVO

FieldTypeRequiredDescription
arpDetectEnablebooleannoWhether open the arp detect switch.
snoopForEntryEnablebooleannoWhether open the snoop for entry.
json
// omada_call_operation
{
  "operationId": "modifyArpDetectStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify arp detect status
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.